{
  self,
  config,
  lib,
  pkgs,
  ...
}: let
  domain = "ai.sondell.org";
in {
  services.nginx.virtualHosts = {
    ${domain} = {
      forceSSL = true;
      enableACME = true;
      locations."/" = {
        proxyPass = "http://localhost:9876/";
        proxyWebsockets = true;
      };
      # Use DNS Challenege.
      # acmeRoot = null;
    };
  };
}
